Subject: Re: [PATCH] Revert "brcmfmac: use ISO3166 country code and 0 rev as fallback"

From: Kalle Valo <[email-masked]>
Date: Tue, 28 Sep 2021 07:08:34 +0000 (UTC)

Soeren Moch <[email-masked]> wrote:

> This reverts commit b0b524f079a23e440dd22b04e369368dde847533.
> 
> Commit b0b524f079a2 ("brcmfmac: use ISO3166 country code and 0 rev
> as fallback") changes country setup to directly use ISO3166 country
> codes if no more specific code is configured. This was done under
> the assumption that brcmfmac firmwares can handle such simple
> direct mapping from country codes to firmware ccode values.
> 
> Unfortunately this is not true for all chipset/firmware combinations.
> E.g. BCM4359/9 devices stop working as access point with this change,
> so revert the offending commit to avoid the regression.
> 
> Signed-off-by: Soeren Moch <[email-masked]>
> Cc: [email-masked]  # 5.14.x
> Acked-by: Shawn Guo <[email-masked]>

Patch applied to wireless-drivers.git, thanks.

151a7c12c4fc Revert "brcmfmac: use ISO3166 country code and 0 rev as fallback"

-- 
https://patchwork.kernel.org/project/linux-wireless/patch/[email-masked]/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches